Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 228501 - Review Request: hunspell-th - Thai hunspell dictionaries
Summary: Review Request: hunspell-th - Thai hunspell dictionaries
Keywords:
Status: CLOSED NEXTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: manuel wolfshant
QA Contact: Fedora Package Reviews List
URL:
Whiteboard:
Depends On:
Blocks: FE-ACCEPT
TreeView+ depends on / blocked
 
Reported: 2007-02-13 12:26 UTC by Caolan McNamara
Modified: 2007-11-30 22:11 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2007-02-15 08:59:43 UTC
wolfy: fedora-review+


Attachments (Terms of Use)

Description Caolan McNamara 2007-02-13 12:26:44 UTC
Spec URL: http://people.redhat.com/caolanm/hunspell/hunspell-th.spec
SRPM URL: http://people.redhat.com/caolanm/hunspell/hunspell-th-0.20050530-1.src.rpm
Description: Thai hunspell dictionaries


Similar to 227811

Comment 1 manuel wolfshant 2007-02-14 11:53:24 UTC
Upstream version has been updated, current one is 12-Dec-2006. Therefore the
upstream source and the one included in the src.rpm do not coincide.

GOOD

- package meets naming guidelines
- package meets packaging guidelines 
- spec file legible, in am. english
- the package builds in mock for devel/x86_64, generates a noarch (which is
consistent with the fact that basically it includes only 3 text files)
- the license LGPL stated in the tag is the same as the web site says and is not
 included in the package because upstream does not include it either; it is
however mentioned in a bundled README
- there are only 2 files (word lists) + a short doc with instructions and
license clearance, so no need for -doc and no .la, .pc, static files
- no missing BR
- no locales
- not relocatable
- owns all files/directories that it creates, does not take ownership of other
files/dirs
- no duplicate files
- permissions ok
- %clean ok
- macro use consistent
- rpmlint output is silent
- code, not content
- nothing in %doc affects runtime
- no need for .desktop file 

MUSTFIX
36e94fd62cc246ebb083fbab8ce200b07a2934c2  th_TH.zip (upstream)
d0ec83646ea1d0a4fd1262dec44ac97e59bcfefa  th_TH.zip (bundled in src.rpm)

SHOULD
Please ask upstream to include the license in the archive

Comment 2 Caolan McNamara 2007-02-14 12:05:41 UTC
updated to latest as
http://people.redhat.com/caolanm/hunspell/hunspell-th-0.20061212-1.src.rpm

Comment 3 manuel wolfshant 2007-02-14 12:14:54 UTC
Problems fixed. package APPROVED

Comment 4 Caolan McNamara 2007-02-15 08:59:43 UTC
 27628 (hunspell-th): Build on target fedora-development-extras succeeded.


Note You need to log in before you can comment on or make changes to this bug.